Bug 18543 - --anonymous command line options don't work
--anonymous command line options don't work
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2000-10-06 11:41 EDT by daniel.deimert
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-06 11:49:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description daniel.deimert 2000-10-06 11:41:17 EDT
up2date's built-in helptext do not match its actual behaviour...

[root@localhost /root]# up2date 
You are not registered with Red Hat Network.  To use Update Agent,
You must be registered.

However, you can continue now with an anonymous registration, and only
your Red Hat Linux version and computer architecture will be sent to
redhat.com.  You are free to use the rhn_register later to take full
advantage of the benefits offered by the Red Hat Network.

To register anonymously, specify "--anonymous" as a command line option.
Your GPG keyring does not contain the Red Hat, Inc. public key.
Without it, you will be unable to verify that packages Update Agent
are securely signed by Red Hat.

Your Update Agent options specify that you want to use GPG.  Aborting.

[root@localhost /root]# up2date --anonymous
Traceback (innermost last):
  File "/usr/sbin/up2date", line 382, in ?
  File "/usr/sbin/up2date", line 263, in main
    print "Error parsing command line arguments: %s" % msg
NameError: msg
Comment 1 Preston Brown 2000-10-09 11:10:28 EDT
This is fixed in an errata release, to be released shortly.

Note You need to log in before you can comment on or make changes to this bug.